Index: pacemaker/pengine/test10/mon-rsc-2.exp
===================================================================
--- pacemaker.orig/pengine/test10/mon-rsc-2.exp
+++ pacemaker/pengine/test10/mon-rsc-2.exp
@@ -3,7 +3,7 @@
      <action_set>
       <rsc_op id="5" operation="monitor" operation_key="rsc1_monitor_5000" on_node="node1" on_node_uuid="uuid1">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="3000" />
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="3000" />
        </rsc_op>
      </action_set>
     <inputs>
@@ -16,7 +16,7 @@
      <action_set>
       <rsc_op id="4" operation="start" operation_key="rsc1_start_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -32,7 +32,7 @@
      <action_set>
       <rsc_op id="3" operation="stop" operation_key="rsc1_stop_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -45,7 +45,7 @@
      <action_set>
       <rsc_op id="2" operation="monitor" operation_key="rsc1_monitor_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="3000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_op_target_rc="7" CRM_meta_timeout="3000" />
        </rsc_op>
      </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/mon-rsc-3.exp
===================================================================
--- pacemaker.orig/pengine/test10/mon-rsc-3.exp
+++ pacemaker/pengine/test10/mon-rsc-3.exp
@@ -3,7 +3,7 @@
      <action_set>
       <rsc_op id="5" operation="monitor" operation_key="rsc1_monitor_5000" on_node="node1" on_node_uuid="uuid1">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="3000" />
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="3000" />
        </rsc_op>
      </action_set>
     <inputs>
@@ -16,7 +16,7 @@
      <action_set>
       <rsc_op id="3" operation="start" operation_key="rsc1_start_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -29,7 +29,7 @@
      <action_set>
       <rsc_op id="2" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="3000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="3000" />
        </rsc_op>
      </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/mon-rsc-4.exp
===================================================================
--- pacemaker.orig/pengine/test10/mon-rsc-4.exp
+++ pacemaker/pengine/test10/mon-rsc-4.exp
@@ -3,7 +3,7 @@
      <action_set>
       <rsc_op id="5" operation="monitor" operation_key="rsc1_monitor_5000" on_node="node1" on_node_uuid="uuid1">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="3000" />
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="3000" />
        </rsc_op>
      </action_set>
     <inputs>
@@ -16,7 +16,7 @@
      <action_set>
       <rsc_op id="4" operation="stop" operation_key="rsc1_stop_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -29,7 +29,7 @@
      <action_set>
       <rsc_op id="3" operation="start" operation_key="rsc1_start_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -45,7 +45,7 @@
      <action_set>
       <rsc_op id="2" operation="monitor" operation_key="rsc1_monitor_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="3000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_op_target_rc="7" CRM_meta_timeout="3000" />
        </rsc_op>
      </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/monitor-onfail-restart.exp
===================================================================
--- pacemaker.orig/pengine/test10/monitor-onfail-restart.exp
+++ pacemaker/pengine/test10/monitor-onfail-restart.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="4" operation="start" operation_key="A_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="A" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_on_fail="restart" CRM_meta_timeout="30000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_fail="restart" CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="30000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="2" operation="stop" operation_key="A_stop_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="A" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_name="stop" CRM_meta_on_fail="block" CRM_meta_timeout="30000" />
+        <attributes CRM_meta_name="stop" CRM_meta_on_fail="block" CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="30000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -25,7 +25,7 @@
     <action_set>
       <rsc_op id="1" operation="monitor" operation_key="A_monitor_20000" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="A" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_interval="20000" CRM_meta_name="monitor" CRM_meta_on_fail="restart" CRM_meta_timeout="30000" />
+        <attributes CRM_meta_interval="20000" CRM_meta_name="monitor" CRM_meta_on_fail="restart" CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="30000" />
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/monitor-onfail-stop.exp
===================================================================
--- pacemaker.orig/pengine/test10/monitor-onfail-stop.exp
+++ pacemaker/pengine/test10/monitor-onfail-stop.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="3" operation="stop" operation_key="A_stop_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="A" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_name="stop" CRM_meta_on_fail="block" CRM_meta_timeout="30000" />
+        <attributes CRM_meta_name="stop" CRM_meta_on_fail="block" CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="30000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/monitor-recovery.exp
===================================================================
--- pacemaker.orig/pengine/test10/monitor-recovery.exp
+++ pacemaker/pengine/test10/monitor-recovery.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="7" operation="stop" operation_key="d_tomcat_stop_0" internal_operation_key="d_tomcat:0_stop_0" on_node="CSE-1" on_node_uuid="CSE-1">
         <primitive id="d_tomcat" long-id="d_tomcat:0" class="ocf" provider="ntc" type="tomcat"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000"  instance_name="NMS" monitor_timeout="120" monitor_urls="/cse/health" monitor_use_ssl="no"/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="CSE-1" CRM_meta_on_node_uuid="CSE-1" CRM_meta_timeout="20000"  instance_name="NMS" monitor_timeout="120" monitor_urls="/cse/health" monitor_use_ssl="no"/>
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/multi1.exp
===================================================================
--- pacemaker.orig/pengine/test10/multi1.exp
+++ pacemaker/pengine/test10/multi1.exp
@@ -3,7 +3,7 @@
      <action_set>
       <rsc_op id="4" operation="start" operation_key="rsc1_start_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
     <inputs>
@@ -19,7 +19,7 @@
      <action_set>
       <rsc_op id="3" operation="stop" operation_key="rsc1_stop_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs/>
@@ -28,7 +28,7 @@
      <action_set>
       <rsc_op id="2" operation="stop" operation_key="rsc1_stop_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/multiple-monitor-one-failed.exp
===================================================================
--- pacemaker.orig/pengine/test10/multiple-monitor-one-failed.exp
+++ pacemaker/pengine/test10/multiple-monitor-one-failed.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="5" operation="start" operation_key="Dummy-test2_start_0" on_node="dhcp180" on_node_uuid="dhcp180">
         <primitive id="Dummy-test2" class="ocf" provider="test" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000"  state="/tmp/dummy-state" state2="/tmp/dummy-state-2"/>
+        <attributes CRM_meta_on_node="dhcp180" CRM_meta_on_node_uuid="dhcp180" CRM_meta_timeout="20000"  state="/tmp/dummy-state" state2="/tmp/dummy-state-2"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="3" operation="stop" operation_key="Dummy-test2_stop_0" on_node="dhcp180" on_node_uuid="dhcp180">
         <primitive id="Dummy-test2" class="ocf" provider="test" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000"  state="/tmp/dummy-state" state2="/tmp/dummy-state-2"/>
+        <attributes CRM_meta_on_node="dhcp180" CRM_meta_on_node_uuid="dhcp180" CRM_meta_timeout="20000"  state="/tmp/dummy-state" state2="/tmp/dummy-state-2"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -25,7 +25,7 @@
     <action_set>
       <rsc_op id="2" operation="monitor" operation_key="Dummy-test2_monitor_30000" on_node="dhcp180" on_node_uuid="dhcp180">
         <primitive id="Dummy-test2" class="ocf" provider="test" type="Dummy"/>
-        <attributes CRM_meta_OCF_CHECK_LEVEL="20" CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_timeout="60000" OCF_CHECK_LEVEL="20"  state="/tmp/dummy-state" state2="/tmp/dummy-state-2"/>
+        <attributes CRM_meta_OCF_CHECK_LEVEL="20" CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_on_node="dhcp180" CRM_meta_on_node_uuid="dhcp180" CRM_meta_timeout="60000" OCF_CHECK_LEVEL="20"  state="/tmp/dummy-state" state2="/tmp/dummy-state-2"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -38,7 +38,7 @@
     <action_set>
       <rsc_op id="1" operation="monitor" operation_key="Dummy-test2_monitor_10000" on_node="dhcp180" on_node_uuid="dhcp180">
         <primitive id="Dummy-test2" class="ocf" provider="test" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" CRM_meta_trace_ra="1"  state="/tmp/dummy-state" state2="/tmp/dummy-state-2" trace_ra="1"/>
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="dhcp180" CRM_meta_on_node_uuid="dhcp180" CRM_meta_timeout="20000" CRM_meta_trace_ra="1"  state="/tmp/dummy-state" state2="/tmp/dummy-state-2" trace_ra="1"/>
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/node-maintenance-1.exp
===================================================================
--- pacemaker.orig/pengine/test10/node-maintenance-1.exp
+++ pacemaker/pengine/test10/node-maintenance-1.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="6" operation="stop" operation_key="rsc1_stop_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -12,7 +12,7 @@
     <action_set>
       <rsc_op id="2" operation="cancel" operation_key="rsc2_monitor_10000" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_call_id="3" CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_operation="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_call_id="3" CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_operation="monitor" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/node-maintenance-2.exp
===================================================================
--- pacemaker.orig/pengine/test10/node-maintenance-2.exp
+++ pacemaker/pengine/test10/node-maintenance-2.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="5" operation="monitor" operation_key="rsc1_monitor_10000" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="4" operation="start" operation_key="rsc1_start_0" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -25,7 +25,7 @@
     <action_set>
       <rsc_op id="8" operation="monitor" operation_key="rsc2_monitor_10000" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/not-installed-agent.exp
===================================================================
--- pacemaker.orig/pengine/test10/not-installed-agent.exp
+++ pacemaker/pengine/test10/not-installed-agent.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="9" operation="monitor" operation_key="rsc1_monitor_10000" on_node="sles11-2" on_node_uuid="sles11-2">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="sles11-2" CRM_meta_on_node_uuid="sles11-2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="8" operation="start" operation_key="rsc1_start_0" on_node="sles11-2" on_node_uuid="sles11-2">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="sles11-2" CRM_meta_on_node_uuid="sles11-2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -29,7 +29,7 @@
     <action_set>
       <rsc_op id="3" operation="stop" operation_key="rsc1_stop_0" on_node="sles11-1" on_node_uuid="sles11-1">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="sles11-1" CRM_meta_on_node_uuid="sles11-1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -38,7 +38,7 @@
     <action_set>
       <rsc_op id="12" operation="monitor" operation_key="rsc2_monitor_10000" on_node="sles11-2" on_node_uuid="sles11-2">
         <primitive id="rsc2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_fail="ignore" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_fail="ignore" CRM_meta_on_node="sles11-2" CRM_meta_on_node_uuid="sles11-2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -51,7 +51,7 @@
     <action_set>
       <rsc_op id="11" operation="start" operation_key="rsc2_start_0" on_node="sles11-2" on_node_uuid="sles11-2">
         <primitive id="rsc2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="sles11-2" CRM_meta_on_node_uuid="sles11-2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -64,7 +64,7 @@
     <action_set>
       <rsc_op id="10" operation="stop" operation_key="rsc2_stop_0" on_node="sles11-1" on_node_uuid="sles11-1">
         <primitive id="rsc2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="sles11-1" CRM_meta_on_node_uuid="sles11-1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/not-installed-tools.exp
===================================================================
--- pacemaker.orig/pengine/test10/not-installed-tools.exp
+++ pacemaker/pengine/test10/not-installed-tools.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="9" operation="monitor" operation_key="rsc1_monitor_10000" on_node="sles11-2" on_node_uuid="sles11-2">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="sles11-2" CRM_meta_on_node_uuid="sles11-2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="8" operation="start" operation_key="rsc1_start_0" on_node="sles11-2" on_node_uuid="sles11-2">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="sles11-2" CRM_meta_on_node_uuid="sles11-2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -29,7 +29,7 @@
     <action_set>
       <rsc_op id="3" operation="stop" operation_key="rsc1_stop_0" on_node="sles11-1" on_node_uuid="sles11-1">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="sles11-1" CRM_meta_on_node_uuid="sles11-1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/not-reschedule-unneeded-monitor.exp
===================================================================
--- pacemaker.orig/pengine/test10/not-reschedule-unneeded-monitor.exp
+++ pacemaker/pengine/test10/not-reschedule-unneeded-monitor.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="42" operation="monitor" operation_key="sle12-kvm_monitor_10000" on_node="kimball" on_node_uuid="178325681">
         <primitive id="sle12-kvm" class="ocf" provider="heartbeat" type="VirtualDomain"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_record_pending="true" CRM_meta_timeout="30000" CRM_meta_trace_ra="1" config="/etc/vm/sle12-kvm.xml"  migrate_options="--migrateuri=qemu+ssh://%n/system" migration_transport="ssh" save_config_on_stop="1" sync_config_on_stop="1" trace_ra="1"/>
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="kimball" CRM_meta_on_node_uuid="178325681" CRM_meta_record_pending="true" CRM_meta_timeout="30000" CRM_meta_trace_ra="1" config="/etc/vm/sle12-kvm.xml"  migrate_options="--migrateuri=qemu+ssh://%n/system" migration_transport="ssh" save_config_on_stop="1" sync_config_on_stop="1" trace_ra="1"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="41" operation="start" operation_key="sle12-kvm_start_0" on_node="kimball" on_node_uuid="178325681">
         <primitive id="sle12-kvm" class="ocf" provider="heartbeat" type="VirtualDomain"/>
-        <attributes CRM_meta_name="start" CRM_meta_record_pending="true" CRM_meta_timeout="90000" CRM_meta_trace_ra="1" config="/etc/vm/sle12-kvm.xml"  migrate_options="--migrateuri=qemu+ssh://%n/system" migration_transport="ssh" save_config_on_stop="1" sync_config_on_stop="1" trace_ra="1"/>
+        <attributes CRM_meta_name="start" CRM_meta_on_node="kimball" CRM_meta_on_node_uuid="178325681" CRM_meta_record_pending="true" CRM_meta_timeout="90000" CRM_meta_trace_ra="1" config="/etc/vm/sle12-kvm.xml"  migrate_options="--migrateuri=qemu+ssh://%n/system" migration_transport="ssh" save_config_on_stop="1" sync_config_on_stop="1" trace_ra="1"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -29,7 +29,7 @@
     <action_set>
       <rsc_op id="9" operation="stop" operation_key="sle12-kvm_stop_0" on_node="castor" on_node_uuid="178325584">
         <primitive id="sle12-kvm" class="ocf" provider="heartbeat" type="VirtualDomain"/>
-        <attributes CRM_meta_name="stop" CRM_meta_record_pending="true" CRM_meta_timeout="90000" CRM_meta_trace_ra="1" config="/etc/vm/sle12-kvm.xml"  migrate_options="--migrateuri=qemu+ssh://%n/system" migration_transport="ssh" save_config_on_stop="1" sync_config_on_stop="1" trace_ra="1"/>
+        <attributes CRM_meta_name="stop" CRM_meta_on_node="castor" CRM_meta_on_node_uuid="178325584" CRM_meta_record_pending="true" CRM_meta_timeout="90000" CRM_meta_trace_ra="1" config="/etc/vm/sle12-kvm.xml"  migrate_options="--migrateuri=qemu+ssh://%n/system" migration_transport="ssh" save_config_on_stop="1" sync_config_on_stop="1" trace_ra="1"/>
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/notify-0.exp
===================================================================
--- pacemaker.orig/pengine/test10/notify-0.exp
+++ pacemaker/pengine/test10/notify-0.exp
@@ -3,7 +3,7 @@
      <action_set>
       <rsc_op id="6" operation="start" operation_key="child_rsc1:1_start_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="child_rsc1:1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -16,7 +16,7 @@
      <action_set>
       <rsc_op id="2" operation="monitor" operation_key="child_rsc1:1_monitor_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="child_rsc1:1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
      </action_set>
     <inputs/>
@@ -52,7 +52,7 @@
      <action_set>
       <rsc_op id="11" operation="stop" operation_key="child_rsc2:0_stop_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="child_rsc2:0" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -65,7 +65,7 @@
      <action_set>
       <rsc_op id="3" operation="monitor" operation_key="child_rsc2:1_monitor_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="child_rsc2:1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs/>
